/* bluebox distributor
 * version 0.3.2 date 2007-07-18
 * Copyright (C) 2006-2007 Stefan Schuermans <stefan@blinkenarea.org>
 * Copyleft: GNU public license V2.0 - http://www.gnu.org/copyleft/gpl.html
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_bd_config
#define INC_bd_config

#include <netinet/in.h>

//parsed settings from troia_dist configuration file
extern int bd_verbose;
extern in_addr_t bd_in_listen_addr;
extern in_port_t bd_in_listen_port;
extern unsigned int bd_in_timeout;
extern unsigned int bd_in_timeout_interval;
extern double bd_map_base, bd_map_spread, bd_map_gamma;
extern in_addr_t bd_out_bind_addr;
extern in_port_t bd_out_bind_port;
extern in_addr_t bd_out_ip_base, bd_out_ip_step;
extern in_port_t bd_out_dest_port;
extern unsigned short bd_out_dev_cnt, bd_out_ser_cnt, bd_out_pix_cnt;
extern unsigned char bd_out_command;
extern unsigned char bd_out_turn_off;
extern unsigned char bd_out_suffix;
extern unsigned short bd_out_suffix_cnt;
extern char bd_fmt_file[];

//get troia_dist configuration from configuration file
void bd_config_get( char * filename );

#endif //#ifndef INC_bd_config
