/* BlueDataDistributor - data distribution module from ethernet to 32 serial ports
 * version 0.1.1 date 2006-10-07
 * Copyright (C) 2006 Stefan Schuermans <stefan@blinkenarea.org>
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_config
#define INC_config

// MAC address
extern unsigned char ConfigMac[6];

// IP configuration
extern unsigned char ConfigIp[4]; // own IP address
extern unsigned char ConfigMask[4]; // subnet mask
extern unsigned char ConfigGw[4]; // gateway IP address

// initialize
extern void ConfigInit( void );

// get configuration from switches
extern void ConfigGetFromSwitches( void );

#endif // #ifndef INC_config
